> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update The Commitment Reservation ID

> Update The Commitment Reservation ID



## OpenAPI

````yaml openapi/billing.yaml post /v1/{tenantUUID}/market/services/{ipmarketServiceUUID}/reservation_id
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/services/{ipmarketServiceUUID}/reservation_id:
    post:
      tags:
        - Market
      summary: Update The Commitment Reservation ID
      description: Update The Commitment Reservation ID
      operationId: API-Pub-IPMarket-UpdateReservationId
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: ipmarketServiceUUID
          in: path
          description: IPMarket Service UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: remove
          in: query
          description: Remove The Commitment Reservation Id
          schema:
            type: boolean
            default: false
      responses:
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````